%{?mingw_package_header}

Name:           mingw-spice-gtk
Version:        0.33
Release:        3%{?dist}
Summary:        A GTK+ widget for SPICE clients

License:        LGPLv2+
URL:            http://spice-space.org/page/Spice-Gtk
Source0:        http://www.spice-space.org/download/gtk/spice-gtk-%{version}%{?_version_suffix}.tar.bz2
Patch0000:      0001-clipboard-Fix-crash-by-handling-error.patch
Patch0001:      0002-file-xfer-do-not-send-unnecessary-0-bytes-messages.patch
Patch0002:      0003-win-usb-dev-make-usage-of-early-return.patch
Patch0003:      0004-win-usb-dev-report-error-to-g_udev_client_new.patch
Patch0004:      0005-channel-usbredir-handle-failure-from-SpiceUsbDeviceM.patch
Patch0005:      0006-usb-device-manager-handle-failures-from-g_udev_clien.patch
Patch0006:      0007-win-usb-dev-let-_finalize-do-libusb_exit.patch
Patch0007:      0008-win-usb-dev-improve-warning-message.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw64-gcc
BuildRequires: mingw32-binutils
BuildRequires: mingw64-binutils
BuildRequires: glib2-devel

BuildRequires: mingw32-gtk3 >= 2.91.3
BuildRequires: mingw64-gtk3 >= 2.91.3
BuildRequires: mingw32-pixman
BuildRequires: mingw64-pixman
BuildRequires: mingw32-openssl
BuildRequires: mingw64-openssl
BuildRequires: mingw32-libjpeg-turbo
BuildRequires: mingw64-libjpeg-turbo
BuildRequires: mingw32-celt051
BuildRequires: mingw64-celt051
BuildRequires: mingw32-zlib
BuildRequires: mingw64-zlib
BuildRequires: mingw32-gstreamer1
BuildRequires: mingw64-gstreamer1
BuildRequires: mingw32-gstreamer1-plugins-base
BuildRequires: mingw64-gstreamer1-plugins-base
BuildRequires: mingw32-opus
BuildRequires: mingw64-opus
BuildRequires: mingw32-spice-protocol >= 0.12.12
BuildRequires: mingw64-spice-protocol >= 0.12.12
BuildRequires: mingw32-usbredir
BuildRequires: mingw64-usbredir
BuildRequires: python-six
BuildRequires: pyparsing

# Hack because of bz #613466
BuildRequires: intltool
BuildRequires: libtool

BuildRequires: autoconf
BuildRequires: automake

%description
Client libraries for SPICE desktop servers.


# Mingw32
%package -n mingw32-spice-gtk3
Summary: %{summary}
Requires: mingw32-spice-glib = %{version}-%{release}
Requires: mingw32-gtk3
Requires: pkgconfig
Obsoletes: mingw32-spice-gtk < 0.32
Obsoletes: mingw32-spice-gtk-static < 0.32-2

%description -n mingw32-spice-gtk3
Gtk+3 client libraries for SPICE desktop servers.

%package -n mingw32-spice-glib
Summary: GLib-based library to connect to SPICE servers
Requires: pkgconfig
Requires: mingw32-glib2
Requires: mingw32-spice-protocol

%description -n mingw32-spice-glib
A SPICE client library using GLib2.

# Mingw64
%package -n mingw64-spice-gtk3
Summary: %{summary}
Requires: mingw64-spice-glib = %{version}-%{release}
Requires: mingw64-gtk3
Requires: pkgconfig
Obsoletes: mingw64-spice-gtk < 0.32
Obsoletes: mingw64-spice-gtk-static < 0.32-2

%description -n mingw64-spice-gtk3
Gtk+3 client libraries for SPICE desktop servers.

%package -n mingw64-spice-glib
Summary: GLib-based library to connect to SPICE servers
Requires: pkgconfig
Requires: mingw64-glib2
Requires: mingw64-spice-protocol

%description -n mingw64-spice-glib
A SPICE client library using GLib2.

%{?mingw_debug_package}


%prep
%setup -q -n spice-gtk-%{version}%{?_version_suffix}
%patch0000 -p1
%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1


%build
%mingw_configure                                \
    --enable-usbredir                           \
    --without-sasl                              \
    --with-coroutine=winfiber                   \
    --disable-smartcard                         \
    --without-python                            \
    --disable-gtk-doc                           \
    --disable-werror


%install
rm -rf $RPM_BUILD_ROOT

%mingw_make install "DESTDIR=$RPM_BUILD_ROOT"

# Libtool files don't need to be bundled
find $RPM_BUILD_ROOT -name "*.la" -delete
# man pages don't need to be bundled
find $RPM_BUILD_ROOT -name "*.1" -delete

%mingw_find_lang spice-gtk

%clean
rm -rf $RPM_BUILD_ROOT

# Mingw32
%files -n mingw32-spice-glib -f spice-gtk.lang
%defattr(-,root,root)
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc README
%doc NEWS
%{mingw32_bindir}/libspice-client-glib-2.0-8.dll
%{mingw32_bindir}/libspice-controller-0.dll
%{mingw32_bindir}/spicy-screenshot.exe
%{mingw32_bindir}/spicy-stats.exe
%{mingw32_libdir}/libspice-client-glib-2.0.dll.a
%{mingw32_libdir}/libspice-controller.dll.a
%{mingw32_libdir}/pkgconfig/spice-client-glib-2.0.pc
%{mingw32_libdir}/pkgconfig/spice-controller.pc
%{mingw32_includedir}/spice-client-glib-2.0
%{mingw32_includedir}/spice-controller
%{mingw32_datadir}/vala/vapi

%files -n mingw32-spice-gtk3
%defattr(-,root,root)
%{mingw32_bindir}/libspice-client-gtk-3.0-5.dll
%{mingw32_bindir}/spicy.exe
%{mingw32_libdir}/libspice-client-gtk-3.0.dll.a
%{mingw32_libdir}/pkgconfig/spice-client-gtk-3.0.pc
%{mingw32_includedir}/spice-client-gtk-3.0

# Mingw64
%files -n mingw64-spice-glib -f spice-gtk.lang
%defattr(-,root,root)
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc README
%doc NEWS
%{mingw64_bindir}/libspice-client-glib-2.0-8.dll
%{mingw64_bindir}/libspice-controller-0.dll
%{mingw64_bindir}/spicy-screenshot.exe
%{mingw64_bindir}/spicy-stats.exe
%{mingw64_libdir}/libspice-client-glib-2.0.dll.a
%{mingw64_libdir}/libspice-controller.dll.a
%{mingw64_libdir}/pkgconfig/spice-client-glib-2.0.pc
%{mingw64_libdir}/pkgconfig/spice-controller.pc
%{mingw64_includedir}/spice-client-glib-2.0
%{mingw64_includedir}/spice-controller
%{mingw64_datadir}/vala/vapi

%files -n mingw64-spice-gtk3
%defattr(-,root,root)
%{mingw64_bindir}/libspice-client-gtk-3.0-5.dll
%{mingw64_bindir}/spicy.exe
%{mingw64_libdir}/libspice-client-gtk-3.0.dll.a
%{mingw64_libdir}/pkgconfig/spice-client-gtk-3.0.pc
%{mingw64_includedir}/spice-client-gtk-3.0

%changelog
* Wed Nov 16 2016 Victor Toso <victortoso@redhat.com> - 0.33-3
- Do not send unnecessary 0 bytes messages
  Resolves: https://bugs.freedesktop.org/show_bug.cgi?id=97227
- Fix hang over UsbDk failure and better error handling
  Resolves: https://bugs.freedesktop.org/show_bug.cgi?id=98686

* Tue Nov  8 2016 Victor Toso <victortoso@redhat.com> - 0.33-2
- Avoid crash on clipboard

* Tue Nov  1 2016 Victor Toso <victortoso@redhat.com> - 0.33-1
- New version with usbredir enabled by default

* Tue Jun 28 2016 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.32-3
- Add missing Obsoletes for gtk2 and static packages

* Wed Jun 22 2016 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.32-2
- Remove static libraries

* Tue Jun 21 2016 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.32-1
- Update to spice-gtk 0.32 release

* Fri Mar 11 2016 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.31-1
- Update to spice-gtk 0.31 release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Oct 07 2015 Christophe Fergeau <cfergeau@redhat.com> 0.30-1
- Update to spice-gtk 0.30

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.29-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 15 2015 Marc-André Lureau <marcandre.lureau@redhat.com> 0.29-1
- Update to spice-gtk 0.29

* Wed Mar  4 2015 Marc-André Lureau <marcandre.lureau@redhat.com> 0.28-1
- Update to spice-gtk 0.28

* Tue Jan  6 2015 Fabiano Fidêncio <fidencio@redhat.com> 0.27.4
- Drop gstreamer-0.10 in favour to gstreamer-1.0

* Mon Dec 22 2014 Marc-André Lureau <marcandre.lureau@redhat.com> 0.27-3
- Fix usbredir crash on disconnection.

* Tue Dec 16 2014 Marc-André Lureau <marcandre.lureau@redhat.com> 0.27-2
- Fix authentication error handling regression.

* Thu Dec 11 2014 Marc-André Lureau <marcandre.lureau@redhat.com> 0.27-1
- Update to spice-gtk 0.27

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 10 2014 Marc-André Lureau <marcandre.lureau@redhat.com> 0.23-1
- Update to spice-gtk 0.23

* Wed Dec 18 2013 Marc-André Lureau <marcandre.lureau@redhat.com> 0.22-1
- Update to spice-gtk 0.22

* Wed Sep 18 2013 Marc-André Lureau <marcandre.lureau@redhat.com> 0.21-1
- Update to spice-gtk 0.21

* Thu Aug 01 2013 Christophe Fergeau <cfergeau@redhat.com> 0.20-1
- Update to spice-gtk 0.20

* Sun Jun 16 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.19-3
- Rebuild to resolve InterlockedCompareExchange regression in mingw32 libraries

* Sat Jun 15 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.19-2
- Rebuild to resolve InterlockedCompareExchange regression in mingw32 libraries

* Thu Apr 11 2013 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.19-1
- Update to spice-gtk 0.19

* Wed Feb 13 2013 Christophe Fergeau <cfergeau@redhat.com> - 0.18-1
- Update to spice-gtk 0.18

* Wed Feb  6 2013 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.17-1
- Update to spice-gtk 0.17

* Thu Jan 24 2013 Christophe Fergeau <cfergeau@redhat.com> - 0.16-2
- Add missing Requires (spice-protocol is required by
  spice-client-glib-2.0.pc)

* Tue Jan 22 2013 Christophe Fergeau <cfergeau@redhat.com> - 0.16-1
- Update to spice-gtk 0.16

* Fri Dec 21 2012 Christophe Fergeau <cfergeau@redhat.com> - 0.15-2
- Update to the 0.15 release

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 11 2012 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.12-2
- Remove spice-protocol dependency

* Wed May  2 2012 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.12-1
- Initial mingw64 packaging
